summaryrefslogtreecommitdiff
path: root/packaging/Caldera/OpenLinux
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2003-08-19 04:28:16 +0000
committerGerald Carter <jerry@samba.org>2003-08-19 04:28:16 +0000
commit6283057f37d1aef24f5f41613587901c4eb94739 (patch)
tree725c068ad7578875614ed003a45b8d177e3ba570 /packaging/Caldera/OpenLinux
parent49e66508f271c5d548a045a1297652ed5b03494c (diff)
downloadsamba-6283057f37d1aef24f5f41613587901c4eb94739.tar.gz
samba-6283057f37d1aef24f5f41613587901c4eb94739.tar.bz2
samba-6283057f37d1aef24f5f41613587901c4eb94739.zip
no maintainer. Will be in the Attic if ever needed. No point
in claiming support for these packagaing files if we don't even know if they build. (This used to be commit b87357c11bf7cbaeb1b90aaf67c9b2ba64f65783)
Diffstat (limited to 'packaging/Caldera/OpenLinux')
-rw-r--r--packaging/Caldera/OpenLinux/README.Public9
-rw-r--r--packaging/Caldera/OpenLinux/README.home15
-rw-r--r--packaging/Caldera/OpenLinux/README.profiles10
-rwxr-xr-xpackaging/Caldera/OpenLinux/findsmb141
-rw-r--r--packaging/Caldera/OpenLinux/makerpms.sh.tmpl54
-rw-r--r--packaging/Caldera/OpenLinux/samba-3.0.0.pre-install.patch12
-rw-r--r--packaging/Caldera/OpenLinux/samba.daemon7
-rwxr-xr-xpackaging/Caldera/OpenLinux/samba.init66
-rwxr-xr-xpackaging/Caldera/OpenLinux/samba.init-lsb145
-rw-r--r--packaging/Caldera/OpenLinux/samba.logrotate12
-rw-r--r--packaging/Caldera/OpenLinux/samba.pam49
-rw-r--r--packaging/Caldera/OpenLinux/samba3.spec.tmpl455
-rw-r--r--packaging/Caldera/OpenLinux/smb.conf51
-rw-r--r--packaging/Caldera/OpenLinux/smb.conf.sample315
-rwxr-xr-xpackaging/Caldera/OpenLinux/smbadduser.perl146
-rwxr-xr-xpackaging/Caldera/OpenLinux/smbprint77
-rw-r--r--packaging/Caldera/OpenLinux/smbusers3
-rwxr-xr-xpackaging/Caldera/OpenLinux/updatesmbpasswd.perl10
18 files changed, 0 insertions, 1577 deletions
diff --git a/packaging/Caldera/OpenLinux/README.Public b/packaging/Caldera/OpenLinux/README.Public
deleted file mode 100644
index 00f41f3738..0000000000
--- a/packaging/Caldera/OpenLinux/README.Public
+++ /dev/null
@@ -1,9 +0,0 @@
-This directory is exported to any windows computer, if the daemon
-"SMB server processes (samba)" is started and the distributed
-configuration is used. So be careful about any data you put into
-this directory.
-
-The default configuration restricts the access rights to read only
-access.
-
-2000-03-13, Klaus Singvogel, Caldera (Deutschland) GmbH.
diff --git a/packaging/Caldera/OpenLinux/README.home b/packaging/Caldera/OpenLinux/README.home
deleted file mode 100644
index 5a893eb0e1..0000000000
--- a/packaging/Caldera/OpenLinux/README.home
+++ /dev/null
@@ -1,15 +0,0 @@
-This directory $HOME/Samba is exported to any windows computer, if
-the daemon "SMB server processes (samba)" is started and the distributed
-configuration is used. So be careful about the data you put into this
-directory.
-
-Note: Only the user of this account can connect to this share. The
-shares name is equal to the users Linux account, e.g.
-\\your_linuxmachine\\your_linuxaccount
-
-If you want to have the files public accessible use the public browseable
-share instead. It's currently /srv/samba/Public, but have a look at file
-/etc/samba.d/smb.conf to get the latest name.
-
-
-2000-03-13, Klaus Singvogel, Caldera (Deutschland) GmbH.
diff --git a/packaging/Caldera/OpenLinux/README.profiles b/packaging/Caldera/OpenLinux/README.profiles
deleted file mode 100644
index b629e10966..0000000000
--- a/packaging/Caldera/OpenLinux/README.profiles
+++ /dev/null
@@ -1,10 +0,0 @@
-This directory is used to store the roaming Profiles of your Windows
-users. For more information install the package samba-doc and read the
-file /usr/share/doc/packages/samba-2.0.7/docs/textdocs/DOMAIN.txt
-
-The default configuration sets the access rights to read/write for
-anyone. If you see a problem in this, disable the Profiles support in
-your samba configuration: either edit file /etc/samba.d/smb.conf or
-use swat (http://localhost:901/).
-
-2000-03-13, Klaus Singvogel, Caldera (Deutschland) GmbH.
diff --git a/packaging/Caldera/OpenLinux/findsmb b/packaging/Caldera/OpenLinux/findsmb
deleted file mode 100755
index f70d18dcbd..0000000000
--- a/packaging/Caldera/OpenLinux/findsmb
+++ /dev/null
@@ -1,141 +0,0 @@
-#!/usr/bin/perl
-#
-# Prints info on all smb responding machines on a subnet.
-# This script needs to be run on a machine without nmbd running and be
-# run as root to get correct info from WIN95 clients.
-#
-# syntax:
-# findsmb [subnet broadcast address]
-#
-# with no agrument it will list machines on the current subnet
-#
-# There will be a "+" in front of the workgroup name for machines that are
-# local master browsers for that workgroup. There will be an "*" in front
-# of the workgroup name for machines that are the domain master browser for
-# that workgroup.
-#
-
-$SAMBABIN = "/usr/bin";
-
-for ($i = 0; $i < 2; $i++) { # test for -d option and broadcast address
- $_ = shift;
- if (m/-d|-D/) {
- $DEBUG = 1;
- } else {
- if ($_) {
- $BCAST = "-B $_";
- }
- }
-}
-
-sub ipsort # do numeric sort on last field of IP address
-{
- @t1 = split(/\./,$a);
- @t2 = split(/\./,$b);
- @t1[3] <=> @t2[3];
-}
-
-# look for all machines that respond to a name lookup
-
-open(NMBLOOKUP,"$SAMBABIN/nmblookup $BCAST '*'|") ||
- die("Can't run nmblookup '*'.\n");
-
-# get rid of all lines that are not a response IP address,
-# strip everything but IP address and sort by last field in address
-
-@ipaddrs = sort ipsort grep(s/ \*<00>.*$//,<NMBLOOKUP>);
-
-# print header info
-
-print "\nIP ADDR NETBIOS NAME WORKGROUP/OS/VERSION $BCAST\n";
-print "---------------------------------------------------------------------\n";
-
-foreach $ip (@ipaddrs) # loop through each IP address found
-{
- $ip =~ s/\n//; # strip newline from IP address
-
-# find the netbios names registered by each machine
-
- open(NMBLOOKUP,"$SAMBABIN/nmblookup -r -A $ip|") ||
- die("Can't get nmb name list.\n");
- @nmblookup = <NMBLOOKUP>;
- close NMBLOOKUP;
-
-# get the first <00> name
-
- @name = grep(/<00>/,@nmblookup);
- $_ = @name[0];
- if ($_) { # we have a netbios name
- if (/GROUP/) { # is it a group name
- ($name, $aliases, $type, $length, @addresses) =
- gethostbyaddr(pack('C4',split('\.',$ip)),2);
- if (! $name) { # could not get name
- $name = "unknown nis name";
- }
- } else {
- /(.{1,15})\s+<00>\s+/;
- $name = $1;
- }
-
-# do an smbclient command on the netbios name.
-
- open(SMB,"$SAMBABIN/smbclient -N -L $name -I $ip -U% |") ||
- die("Can't do smbclient command.\n");
- @smb = <SMB>;
- close SMB;
-
- if ($DEBUG) { # if -d flag print results of nmblookup and smbclient
- print "===============================================================\n";
- print @nmblookup;
- print @smb;
- }
-
-# look for the OS= string
-
- @info = grep(/OS=/,@smb);
- $_ = @info[0];
- if ($_) { # we found response
- s/Domain=|OS=|Server=|\n//g; # strip out descriptions to make line shorter
-
- } else { # no OS= string in response (WIN95 client)
-
-# for WIN95 clients get workgroup name from nmblookup response
- @name = grep(/<00> - <GROUP>/,@nmblookup);
- $_ = @name[0];
- if ($_) {
- /(.{1,15})\s+<00>\s+/;
- $_ = "[$1]";
- } else {
- $_ = "Unknown Workgroup";
- }
- }
-
-# see if machine registered a local master browser name
- if (grep(/<1d>/,@nmblookup)) {
- $master = '+'; # indicate local master browser
- if (grep(/<1b>/,@nmblookup)) { # how about domain master browser?
- $master = '*'; # indicate domain master browser
- }
- } else {
- $master = ' '; # not a browse master
- }
-
-# line up info in 3 columns
-
- print "$ip".' 'x(16-length($ip))."$name".' 'x(14-length($name))."$master"."$_\n";
-
- } else { # no netbios name found
-# try getting the host name
- ($name, $aliases, $type, $length, @addresses) =
- gethostbyaddr(pack('C4',split('\.',$ip)),2);
- if (! $name) { # could not get name
- $name = "unknown nis name";
- }
- if ($DEBUG) { # if -d flag print results of nmblookup
- print "===============================================================\n";
- print @nmblookup;
- }
- print "$ip".' 'x(16-length($ip))."$name\n";
- }
-}
-
diff --git a/packaging/Caldera/OpenLinux/makerpms.sh.tmpl b/packaging/Caldera/OpenLinux/makerpms.sh.tmpl
deleted file mode 100644
index 3b8eda4d5c..0000000000
--- a/packaging/Caldera/OpenLinux/makerpms.sh.tmpl
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-# Copyright (C) 1998 John H Terpstra, 2000 Klaus Singvogel
-#
-SPECDIR=${SPECDIR:-/usr/src/OpenLinux/SPECS}
-SRCDIR=${SRCDIR:-/usr/src/OpenLinux/SOURCES}
-USERID=`id -u`
-GRPID=`id -g`
-devel=0;
-old=0;
-
-# Do some argument parsing...
-if [ z$1 = z"devel" ]; then
- devel=1;
- shift
-fi
-if [ z$1 = z"old" ]; then
- old=1;
- shift
-fi
-if [ z$1 = z"team" ]; then
- team=1;
- shift
-fi
-
-# Start preparing the packages...
-if [ $devel -ne 0 ]; then
- ( cd ../../../.. ; chown -R ${USERID}.${GRPID} samba3; mv samba3 samba-PVERSION )
- ( cd ../../../.. ; tar czvf ${SRCDIR}/samba-PVERSION.tar.gz samba-PVERSION; mv samba-PVERSION samba3 )
-else
- ( cd ../../../.. ; chown -R ${USERID}.${GRPID} samba-PVERSION )
- ( cd ../../../.. ; tar czvf ${SRCDIR}/samba-PVERSION.tar.gz samba-PVERSION )
-fi
-
-cp -af *.spec *.spec-lsb $SPECDIR
-#if [ $team -ne 0 ]; then
-# cp *.spec-team $SPECDIR
-#fi
-for i in `ls *.patch`
-do
- cp $i $SRCDIR/
-done
-# Start building the package
-cd $SPECDIR
-#if [ $old -eq 0 ]; then
-#mv -f samba2.spec samba2.spec-nonlsb
-#ln -f samba2.spec-lsb samba3.spec
-#fi
-if [ $team -ne 0 ]; then
-# mv -f samba3.spec samba3.spec-lsb
-# ln -f samba3.spec-team samba3.spec
- rpm -ba -v samba3.spec
-else
- rpm -ba -v --rmsource --clean samba3.spec
-fi
diff --git a/packaging/Caldera/OpenLinux/samba-3.0.0.pre-install.patch b/packaging/Caldera/OpenLinux/samba-3.0.0.pre-install.patch
deleted file mode 100644
index f6571a2763..0000000000
--- a/packaging/Caldera/OpenLinux/samba-3.0.0.pre-install.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- samba/source/script/installbin.sh.orig Mon Dec 13 14:27:43 1999
-+++ samba/source/script/installbin.sh Fri Jun 16 15:06:13 2000
-@@ -34,7 +34,8 @@
-
- # this is a special case, mount needs this in a specific location
- if [ $p2 = smbmount ]; then
-- ln -sf $BINDIR/$p2 /sbin/mount.smbfs
-+ cp -p $BINDIR/$p2 /sbin/mount.smbfs
-+ ln -s /sbin/mount.smbfs $BINDIR/$p2
- fi
- done
-
diff --git a/packaging/Caldera/OpenLinux/samba.daemon b/packaging/Caldera/OpenLinux/samba.daemon
deleted file mode 100644
index 78c357005e..0000000000
--- a/packaging/Caldera/OpenLinux/samba.daemon
+++ /dev/null
@@ -1,7 +0,0 @@
-IDENT=samba
-DESCRIPTIVE="SMB server processes (samba)"
-CONFIGURED="no"
-ONBOOT="no"
-OPTIONS_SMB="-D"
-OPTIONS_NMB="-D"
-OPTIONS_WINBD=""
diff --git a/packaging/Caldera/OpenLinux/samba.init b/packaging/Caldera/OpenLinux/samba.init
deleted file mode 100755
index 37955e1555..0000000000
--- a/packaging/Caldera/OpenLinux/samba.init
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-#
-# description: Starts and stops the Samba smbd and nmbd daemons
-# used to provide SMB network services.
-
-NAME_S=smbd
-DAEMON_S=/usr/sbin/$NAME_S
-NAME_N=nmbd
-DAEMON_N=/usr/sbin/$NAME_N
-NAME_W=winbindd
-DAEMON_W=/usr/sbin/winbindd
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-# See how we were called.
-case "$1" in
- start)
- [ -e $SVIlock ] && exit 1
- [ ${NETWORKING} = "no" ] && exit 2
- [ -x $DAEMON_S -a -x $DAEMON_N ] || exit 2
-
- #[ "$CONFIGURED" != "no" -a "$CONFIGURED" != "false" ] || {
- SVIemptyConfig /etc/samba.d/smb.conf && {
- echo "$DESCRIPTIVE: not configured! Skipped..."
- exit 2
- }
-
- echo -n "Starting $IDENT: "
- ssd -S -n $NAME_S -x $DAEMON_S -- $OPTIONS_SMB
- ssd -S -n $NAME_N -x $DAEMON_N -- $OPTIONS_NMB
- ssd -S -n $NAME_W -x $DAEMON_W -- $OPTIONS_WINBD
-
- echo "."
- touch $SVIlock
- ;;
-
- stop)
- [ -e $SVIlock ] || exit 0
-
- echo -n "Stopping $IDENT: "
- ssd -K -p /var/lock/samba.d/$NAME_W.pid -n $NAME_W #-x $DAEMON_W
- ssd -K -p /var/lock/samba.d/$NAME_N.pid -n $NAME_N #-x $DAEMON_N
- ssd -K -p /var/lock/samba.d/$NAME_S.pid -n $NAME_S #-x $DAEMON_S
-
- echo "."
- rm -f $SVIlock
- ;;
-
- restart)
- echo -n "Restarting $IDENT: "
- $0 stop
- $0 start
- exit $?
- ;;
-
- *)
- echo "Usage: $SVIscript {start|restart|stop}"
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/packaging/Caldera/OpenLinux/samba.init-lsb b/packaging/Caldera/OpenLinux/samba.init-lsb
deleted file mode 100755
index 615e17b21f..0000000000
--- a/packaging/Caldera/OpenLinux/samba.init-lsb
+++ /dev/null
@@ -1,145 +0,0 @@
-#!/bin/bash
-#
-#
-### BEGIN INIT INFO
-# Provides: $samba
-# Required-Start: $network
-# Required-Stop: $network
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Description: samba
-# Starts and stops the Samba smbd and nmbd daemons
-# used to provide SMB network services.
-### END INIT INFO
-#
-# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
-# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
-# Modified for OpenLinux by Raymund Will <ray@caldera.de>
-# Adapted for samba by Klaus Singvogel <klaus@caldera.de>
-
-NAME_S=smbd
-DAEMON_S=/usr/sbin/$NAME_S
-NAME_N=nmbd
-DAEMON_N=/usr/sbin/$NAME_N
-NAME_W=winbindd
-DAEMON_W=/usr/sbin/$NAME_W
-
-config_file=/etc/samba.d/smb.conf
-
-# Source function library (and set vital variables).
-. @SVIdir@/functions
-
-status() {
- [ -e $1 ] || return 3; # lock / pid file doesn't exist, seems to be stopped
-
- i=`cat "$1"`
- state=`egrep '^State' /proc/$i/status 2>/dev/null| sed 's#.* \(.\).*#\1#'`
- if [ x$state = x -o x$state = xZ ]; then
- return 2 # no such process (or zombie) --> dead
- fi
- return 0 # seems to be up and running
-}
-
-# this function is dedicated to Jan Terpstra. -- Klaus Singvogel, Sep. 2001.
-WinbdConfig() {
- # returns 0 if winbindd is not configured,
- # and 1 if winbindd is configured.
-
- local config_file=$1; shift # file to check
-
- # check if "winbind uid" is set in samba config file
- egrep -q '[^#]*winbind uid' $config_file || return 0
-
- found=0;
- # We also need to check if least one PAM module control file does
- # NOT have pam_winbind.so commented out
- for i in /etc/pam.d/*; do
- if [ ! -f $i ]; then next; fi
- egrep -q '[^#]*pam_winbind.so' $i && found=1 && break;
- done
-
- if [ $found != 0 ]; then
- # if so, ensure that in /etc/nsswitch.conf we have for
- # "passwd", "shadow", "group" an entry for "winbind"
- egrep -q '^passwd:.*winbind' /etc/nsswitch.conf && return 1
- egrep -q '^shadow:.*winbind' /etc/nsswitch.conf && return 1
- egrep -q '^group:.*winbind' /etc/nsswitch.conf && return 1
- fi
-
- return 0
-}
-
-case "$1" in
- start)
- [ ! -e $SVIlock ] || exit 0
- [ -x $DAEMON_S -a -x $DAEMON_N ] || exit 5
- SVIemptyConfig $config_file && exit 6
-
- echo -n "Starting $SVIsubsys services: "
- ssd -S -n $NAME_S -x $DAEMON_S -- $OPTIONS_SMB
- WinbdConfig $config_file || ssd -S -n $NAME_W -x $DAEMON_W -- $OPTIONS_WINBD
- ssd -S -n $NAME_N -x $DAEMON_N -- $OPTIONS_NMB
- ret=$?
-
- echo "."
- touch $SVIlock
- ;;
-
- stop)
- [ -e $SVIlock ] || exit 0
-
- echo -n "Stopping $SVIsubsys services: "
- ssd -K -p /var/lock/samba.d/$NAME_S.pid -n $NAME_S #-x $DAEMON_S
- ssd -K -p /var/lock/samba.d/$NAME_W.pid -n $NAME_W #-x $DAEMON_W
- ssd -K -p /var/lock/samba.d/$NAME_N.pid -n $NAME_N #-x $DAEMON_N
-
- ret=$?
-
- echo "."
- rm -f $SVIlock
- ;;
-
- force-reload)
- [ -e $SVIlock ] || exit 0
- $0 restart
- ret=$?
- ;;
-
- reload)
- echo -n "Reloading $SVIsubsys service configuration: "
- # nmbd has no config file to reload
- ssd -K --signal 1 -p /var/lock/samba.d/$NAME_N.pid -n $NAME_N #-x $DAEMON_N
- ssd -K --signal 1 -p /var/lock/samba.d/$NAME_W.pid -n $NAME_W #-x $DAEMON_W
- ssd -K --signal 1 -p /var/lock/samba.d/$NAME_S.pid -n $NAME_S #-x $DAEMON_S
- ret=$?
- echo "."
- ;;
-
- restart)
- $0 stop
- $0 start
- ret=$?
- ;;
-
- status)
- echo -n "Checking status of $SVIsubsys service: "
- status /var/lock/samba.d/$NAME_N.pid
- ret=$?
- if [ $ret -eq 0 ]; then
- echo -n "$NAME_N "
- status /var/lock/samba.d/$NAME_S.pid
- ret=$?
- [ $ret -eq 0 ] && echo -n "$NAME_S"
- fi
- echo "."
- ;;
-
- *)
- echo "Usage: $SVIscript {start|stop|restart|force-reload|reload|status}"
- ret=2
- ;;
-
-esac
-
-exit $ret
-
diff --git a/packaging/Caldera/OpenLinux/samba.logrotate b/packaging/Caldera/OpenLinux/samba.logrotate
deleted file mode 100644
index 46611f83d8..0000000000
--- a/packaging/Caldera/OpenLinux/samba.logrotate
+++ /dev/null
@@ -1,12 +0,0 @@
-/var/log/samba.d/nmbd {
- postrotate
- /usr/bin/killall -HUP nmbd
- endscript
-}
-
-/var/log/samba.d/smbd {
- postrotate
- /usr/bin/killall -HUP smbd
- endscript
-}
-
diff --git a/packaging/Caldera/OpenLinux/samba.pam b/packaging/Caldera/OpenLinux/samba.pam
deleted file mode 100644
index 821c9046a6..0000000000
--- a/packaging/Caldera/OpenLinux/samba.pam
+++ /dev/null
@@ -1,49 +0,0 @@
-#%PAM-1.0
-#[For version 1.0 syntax, the above header is optional]
-#
-# The PAM configuration file for the `samba' service
-#
-# Note: Only one section should be active at a time.
-# Uncomment only those features needed. The default is a minimal implementation.
-#
-# --------------------------------------------------------------------------------
-# This example uses the standard System Files (/etc/passwd,/etc/shadow,/etc/group)
-# and uses a very vanila PAM configuration
-#
-# auth requisite pam_securetty.so
-# auth requisite pam_nologin.so
-# auth optional pam_env.so
-auth required pam_pwdb.so nullok nodelay # audit
-account required pam_pwdb.so nodelay # audit
-# session required pam_mkhomedir.so
-session required pam_pwdb.so nodelay
-password required pam_pwdb.so nodelay # shadow md5 audit
-#
-# --------------------------------------------------------------------------------
-# This example uses PAM smbpass
-#
-# auth requisite pam_securetty.so
-# auth requisite pam_nologin.so
-# auth optional pam_env.so
-# auth required pam_smbpass.so nodelay
-# account required pam_pwdb.so nodelay # audit
-# account sufficient pam_winbind.so
-# session required pam_mkhomedir.so
-# session required pam_pwdb.so nodelay
-# password required pam_pwdb.so shadow md5
-# password required pam_smbpass.so nodelay smbconf=/etc/samba.d/smb.conf
-#
-# --------------------------------------------------------------------------------
-# This example uses PAM WinBind
-#
-# auth requisite pam_securetty.so
-# auth requisite pam_nologin.so
-# auth optional pam_env.so
-# auth sufficient pam_winbind.so
-# auth sufficient pam_pwdb.so shadow nullok use_first_pass
-# account required pam_pwdb.so nodelay # audit
-# account sufficient pam_winbind.so
-# session required pam_mkhomedir.so
-# session required pam_pwdb.so nodelay
-# password required pam_pwdb.so shadow md5
-#
diff --git a/packaging/Caldera/OpenLinux/samba3.spec.tmpl b/packaging/Caldera/OpenLinux/samba3.spec.tmpl
deleted file mode 100644
index f5c9071591..0000000000
--- a/packaging/Caldera/OpenLinux/samba3.spec.tmpl
+++ /dev/null
@@ -1,455 +0,0 @@
-%define Version PVERSION
-%define date PRELEASE
-%define Vendor Caldera
-%define Dist OpenLinux
-%define EtcSamba /etc/samba.d
-
-Name : samba
-Version : %{Version}
-Release : %{date}
-Group : Server/Network
-
-Summary : Samba SMB client and server.
-
-Copyright : Andrew Tridgell, John H Terpstra; GPL Version 2
-Packager : Klaus Singvogel <klaus@caldera.de>
-#Icon : Caldera-daemon.gif
-URL : http://samba.org/samba
-
-Requires : libpam >= 0.66, SysVinit-scripts >= 1.04-6
-
-
-BuildRoot : /tmp/%{Name}-%{Version}
-
-Source: ftp://ftp.samba.org/pub/samba/%{Name}-%{Version}.tar.gz
-
-
-%Package doc
-Group : Server/Network
-
-Summary : Documentation on SAMBA.
-
-
-%Package -n smbfs
-Group : System/Network
-
-Summary : Mount and unmount commands for SMB filesystems (smbfs).
-
-
-%Package -n swat
-Group : Administration/Network
-Requires : setup >= 2.0-2, tcp_wrappers
-
-Summary : Samba Web Adminsitration Tool.
-
-%Package -n libsmbclient
-Group : System/Network
-
-Summary : Samba Client Library.
-
-%Description
-Samba provides an SMB server which can be used to provide network
-services to SMB (sometimes called "Lan Manager") clients, including
-various versions of MS Windows, OS/2, and other Linux machines.
-
-%Description -l de
-Samba stellt einen SMB Server zur Verfügung, mit dem Netzwerkdienste für SMB
-(auch "Lan Manager" genannt) Clients bereitgestellt werden können. Dies
-schließt verschiedene Versionen von MS Windows, OS/2 und andere Linux
-Maschinen ein.
-
-%Description -l es
-Samba dispone de un servidor SMB que puede utilizarse para proporcionar
-servicios de red a clientes SMB (a veces conocido como "Lan Manager"),
-incluyendo varias versiones de MS Windows, OS/2 y otras máquinas Linux.
-
-%Description -l fr
-Samba fournit un serveur SMB qui peut être utilisé pour fournir des services
-de réseau aux clients SMB (parfois appelés "Lan Manager"), comportant
-diverses versions de MS Windows, OS/2 et d'autres machines Linux.
-
-%Description -l it
-Samba fornisce un server SMB che può essere usato per fornire servizi
-di rete a client SMB (talvolta chiamato "Lan Manager"), comprese varie
-versioni di MS Windows, OS/2 e altre macchine Linux.
-
-%Description -l pt
-O Samba fornece um servidor de SMB que pode ser usado para fornecer serviços de
-rede aos clientes de SMB (denominado por vezes como "Lan Manager"), incluindo
-várias versões do Windows, OS/2 e outras máquinas Linux.
-
-%Description doc
-This package contains extensive SAMBA documentation, including a FAQ,
-comprehensive usage documentation, and a number of examples.
-
-%Description -l de doc
-Dieses Paket enthält eine ausführliche SAMBA Dokumentation, inklusive
-einer FAQ, umfassender Gebrauchsdokumentation und einer Reihe von
-Beispielen.
-
-%Description -l es doc
-Este paquete contiene una extensa documentación sobre SAMBA, incluyendo
-FAQ (Preguntas de Uso Frecuente), documentación sobre el uso y algunos
-ejemplos.
-
-%Description -l fr doc
-Ce paquetage contient une documentation complète sur Samba, y compris
-une FAQ détaillée de son utilisation et un certain nombre d'exemples.
-
-%Description -l it doc
-Questo pacchetto contiene la documentazione su SAMBA tra cui una FAQ
-una esaustiva documentazione d'uso e un certo numero di esempi.
-
-%Description -l pt doc
-Este pacote contém alguma documentação extensa sobre o SAMBA, incluindo a FAQ,
-alguma documentação compreensiva sobre a utilização e alguns exemplos.
-
-%Description -n smbfs
-This package includes the tools necessary to mount filesystems from
-SMB servers.
-
-%Description -l de -n smbfs
-Dieses Paket enthält die nötigen Tools, um Dateisysteme von SMB-Servern
-zu mounten.
-
-%Description -l es -n smbfs
-este paqeute incluye las herramientas necesarias para montar sistemas de
-ficheros de servidores SMB.
-
-%Description -l fr -n smbfs
-Ce paquetage contient les outils nécessaires pour monter des systèmes
-de fichiers sur des serveurs SMB.
-
-%Description -l it -n smbfs
-Questo pacchetto contiene gli strumenti necessari per montare filesystem
-da server SMB.
-
-%Description -l pt -n smbfs
-Este pacote contém as ferramentas necessárias para montar sistema de
-ficheiros de servidores SMB.
-
-%Description -n swat
-SWAT allows a Samba administrator to configure the complex smb.conf
-file via a Web browser. It also provides links to all the configurable
-options in the smb.conf file allowing an administrator to easily look
-up the effects of any change.
-
-%Description -l de -n swat
-Mit SWAT kann ein Samba-Administrator die komplexe smb.conf
-Datei mit Hilfe eines Web-Browsers konfigurieren. Es stellt auch Links zu
-allen konfigurierbaren Optionen in der smb.conf Datei bereit, wodurch ein
-Administrator die Auswirkungen einer Änderung leicht nachvollziehen kann.
-
-%Description -l es -n swat
-SWAT permite a un administrador de Samba configurar el complejo fichero
-smb.conf mediante una navegador web. También proporciona enlaces a todas las
-opciones configurables en el fichero smb.conf, permitiendo al administrador
-comprobar fácilmente los efectos de cualquier cambio.
-
-%Description -l fr -n swat
-SWAT permet à un administrateur Samba de configurer le fichier smb.conf
-complexe via un navigateur Web. Il fournit également des liens d'aide pour
-toutes les options configurables dans le fichier smb.conf permettant à un
-administrateur de consulter aisément les effets d'une modification.
-
-%Description -l it -n swat
-SWAT permette ad un amministratore Samba di configurare il complesso file
-smb.conf attraverso un browser Web. SWAT ha anche dei link di aiuto per
-tutte le opzioni di configurazione del file smb.conf.
-
-%Description -l pt -n swat
-O SWAT permite a um administrador de Samba configurar o complexo ficheiro
-smb.conf através de uma interface Web. Fornece também referências para
-todas as opções configuraveis no smb.conf, permitindo a um admnistrador
-verificar rapidamente o efeite de qualquer alteração.
-
-%Description -n libsmbclient
-SMB Client Library allows for POSIX like SMB client calls providing developers
-a clean and stable API for SMB client application development.
-
-
-%Prep
-%setup
-
-for i in {cvs.,change-}log; do [ ! -f ../$i ] || mv ../$i source; done
-
-mv swat/help/welcome.html docs
-%{fixUP} -vT docs -e '
- s:/usr/local/samba/bin/(smb(client|run)):/usr/bin/$1:g +
- s:/usr/local/samba/bin/((s|n)mbd|swat):/usr/sbin/$1:g +
- s:/usr/local/samba/var/locks:/var/lock/samba.d: +
- s:/usr/local/samba/(var|lib)/log:/var/log/samba.d/smb: +
- s:/usr/local/samba/swat:/usr/share/samba/swat:g +
- s:/usr/local/samba/lib:%{EtcSamba}:g;
-'
-mv docs/welcome.html swat/help
-for i in docs/*/smb.conf.5*; do
- %{fixUP} -vT $i -e '
- s:users\.map:smbusers:g +
- s:SAMBA_INSTALL_DIRECTORY/lib:%{EtcSamba}: +
- s:None \(set in compile\)\.:(see above).: +
- s:/usr/local/:/usr/:g;
- '
-done
-# End of DirtyHack(TM)
-
-
-%Build
-cd source
-rm configure
-autoconf
-
-CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
- --prefix=/usr \
- --localstatedir=/var \
- --libdir=/usr/lib/samba \
- --sbindir=/usr/sbin \
- --with-configdir='%{EtcSamba}' \
- --with-privatedir='$(LIBDIR)' \
- --with-lockdir=/var/lock/samba.d \
- --with-swatdir=/usr/share/swat \
- --with-smbmount \
- --with-pam \
- --with-tdbsam \
- --with-ldapsam \
- --with-krb5=/usr/athena \
- --with-winbind \
- --with-utmp \
- --with-quotas \
- --with-vfs \
- --with-msdfs \
- --with-profile \
- --with-syslog \
- --with-netatalk \
- --with-smbwrapper \
- --with-libsmbclient \
- --with-acl-support \
- --with-sambabook=/usr/share/swat/using_samba
-
-make all nsswitch/libnss_wins.so nsswitch/libnss_winbind.so torture nsswitch/pam_winbind.so modules everything pam_smbpass
-(cd tdb; make tdbdump tdbtest tdbtorture tdbtool)
-
-%Install
-%{mkDESTDIR}
-VVS=packaging/%{Vendor}/%{Dist}
-
-mkdir -p $DESTDIR/etc/{{rc.d/init,logrotate,pam}.d,sysconfig/daemons}
-mkdir -p $DESTDIR%{EtcSamba}
-mkdir -p $DESTDIR/etc/skel/Samba
-mkdir -p $DESTDIR/home/samba
-mkdir -p $DESTDIR/lib/security
-mkdir -p $DESTDIR/%{LSBservedir}/{netlogon,profiles,Public}
-mkdir -p $DESTDIR%{NKinetdir}
-mkdir -p $DESTDIR/{sbin,bin,usr/{sbin,bin}}
-mkdir -p $DESTDIR/%{SVIdir}
-mkdir -p $DESTDIR/usr/{include,lib/samba/vfs}
-mkdir -p $DESTDIR/usr/share/samba/codepages/src
-mkdir -p $DESTDIR/usr/share/swat/using_samba/{gifs,figs}
-mkdir -p $DESTDIR/var/{lo{ck,g}/samba.d,spool/samba}
-
-make -C source DESTDIR=$RPM_BUILD_ROOT install-everything installclientlib
-
-strip $DESTDIR/usr/bin/smb{mount,mnt,umount}
-# Add links for mount.smbfs
-( cd $DESTDIR/sbin; ln -s /usr/bin/smbmount mount.smbfs; \
- ln -s /usr/bin/smbumount umount.smbfs )
-
-# First install /usr/bin progs
-for i in smbfilter debug2html
-do
- install -m 755 source/bin/$i $DESTDIR/usr/bin
-done
-# Next install /usr/sbin progs
-for i in talloctort locktest locktest2 masktest msgtest smbtorture
-do
- install -m 755 source/bin/$i $DESTDIR/usr/sbin
-done
-for i in tdbdump tdbtest tdbtorture tdbtool
-do
- install -m 755 source/tdb/$i $DESTDIR/usr/sbin
-done
-
-# Install the nsswitch library extension file
-cp -p source/nsswitch/libnss_wins.so $DESTDIR/lib
-cp -p source/nsswitch/libnss_winbind.so $DESTDIR/lib
-cp -p source/nsswitch/pam_winbind.so $DESTDIR/lib/security
-cp -p source/bin/pam_smbpass.so $DESTDIR/lib/security
-# Make link for wins resolver
-( cd $DESTDIR/lib; ln -s libnss_wins.so libnss_wins.so.2 )
-
-# Add libsmbclient.a support stuff
-install -m 755 source/bin/libsmbclient.a $DESTDIR/usr/lib
-
-# Add smbwrapper support
-install -m 755 source/bin/smbsh $DESTDIR/usr/bin
-install -m 755 source/bin/smbwrapper.so $DESTDIR/usr/lib
-
-# Ancilliary support files
-cp -p $VVS/samba.init $DESTDIR/etc/rc.d/init.d/samba
-ln -s /etc/rc.d/init.d/samba $DESTDIR/usr/sbin
-cp -p $VVS/smb.conf.sample $DESTDIR%{EtcSamba}/smb.conf.sample
-cp -p $VVS/smbusers $DESTDIR%{EtcSamba}
-cp -p $VVS/findsmb $DESTDIR/usr/bin
-cp -p $VVS/samba.daemon $DESTDIR/etc/sysconfig/daemons/samba
-cp -p $VVS/samba.pam $DESTDIR/etc/pam.d/samba
-cp -p $VVS/samba.logrotate $DESTDIR/etc/logrotate.d/samba
-
-cat <<-'EoH' > $DESTDIR%{EtcSamba}/lmhosts
- 127.0.0.1 localhost
-EoH
-
-# lsb has new way of inetd configuration
-cat <<EoI >$DESTDIR%{NKinetdir}/swat
-swat stream tcp nowait.400 root /usr/sbin/tcpd swat
-EoI
-
-pushd $DESTDIR/usr/sbin
-rm -f *.so
-popd
-
-
-DOCD="$DESTDIR/%{_defaultdocdir}/samba-%{Version}"; mkdir -p $DOCD
-ln -sf ../Copyrights/GPL-2.0 $DOCD/COPYING
-cp -p README Manifest Read-Manifest-Now WHATSNEW.txt Roadmap $DOCD
-cp -a docs examples $DOCD
-
-mv $DOCD/docs/htmldocs/wfw_slip.htm $DOCD/docs/wfw_slip.html
-
-rm -rf $DOCD/docs/{htmldocs,manpages,yodldocs}
-rm -rf $DOCD/examples/{svr4-startup,printing}
-rm -rf $DOCD/CVS $DOCD/*/CVS $DOCD/*/*/CVS $DOCD/*/*/*/CVS
-
-cp -p swat/README $DOCD/README.swat
-
-# This is the O'Reily Samba Book - on-line
-for i in docs/htmldocs/using_samba/*.html
-do
-install -m644 $i $DESTDIR/usr/share/swat/using_samba
-done
-for i in docs/htmldocs/using_samba/figs/*.gif
-do
-install -m644 $i $DESTDIR/usr/share/swat/using_samba/figs
-done
-for i in docs/htmldocs/using_samba/gifs/*.gif
-do
-install -m644 $i $DESTDIR/usr/share/swat/using_samba/gifs
-done
-
-%{fixUP} -vT $DOCD/examples -e 's:/usr/local/bin/:/usr/bin/:g;'
-%{fixUP} -T $DESTDIR/%{SVIdir} -e 's:\@SVIdir\@:%{SVIdir}:'
-%{fixUP} -vT $DOCD/examples -e 's:/usr/local/bin/:/usr/bin/:g;'
-%{fixUP} -vT $DESTDIR/%{EtcSamba} -e 's:\@samba_home\@:%{LSBservedir}:'
-
-%{fixManPages}
-( cd $DESTDIR/usr/share/man/lang; \
- cp -a . $DESTDIR/usr/share/man/en; \
- cd ..; \
- rm -rf lang )
-
-%{mkLists} -c samba
-cat << 'EOF' | %{mkLists} -d samba
-Samba base
-/lib/$ base
-%{LSBservedir} config-IGNORED
-^/(etc|var|home|tmp) config-IGNORED
-swat swat
-%{_defaultdocdir}/samba-[^/]+/$ base
-%{_defaultdocdir}/samba- doc
-tmp IGNORED
-man IGNORED
-/src/$ IGNORED
-/usr/private/$ IGNORED
-@default@
-EOF
-cat << 'EOF' | %{mkLists} -f -a samba
-\.old$ IGNORED
-Samba/README.txt base
-^/etc config-IGNORED
-%{_defaultdocdir}/samba-[^/]+/(COPYING|README$) base
-libnss_* base
-pam_* base
-vfs_* base
-pdb_* base
-smbsh base
-smbwrapper.so base
-%{_defaultdocdir}/samba-[^/]+/(COPYING|README$) base
-%{_defaultdocdir}/samba- doc
-smb(mount|mnt|umount) smbfs
-mount.smbfs smbfs
-swat swat
-libsmbclient libsmbclient
-@default@
-EOF
-
-
-%Clean
-%{rmDESTDIR}
-
-
-%Post
-/usr/lib/LSB/init-install %{Name}
-ldconfig
-
-%Post -n swat
-%{NKinetdReload}
-perl -pi -e '$s=1 if /^swat/;
- print "swat:ALL EXCEPT 127.0.0.1\n" if eof && ! $s' /etc/hosts.deny
-
-
-%PostUn
-test "$1" = "0" || exit 0
-/usr/lib/LSB/init-remove %{Name}
-# We want to remove the browse.dat and wins.dat files so they can not
-# interfer with a new version of samba!
-rm -f /var/lock/samba/browse.dat
-rm -f /var/lock/samba/{brlock,connections,locking,messages}.tdb
-if [ -e /var/lock/samba.d/namelist.debug ]; then
- rm -f /var/lock/samba.d/namelist.debug
-fi
-rm -f /var/lock/samba/unexpected.tdb
-rm -f /var/lock/samba/{smbd,nmbd}.pid
-
-# Note: We MUST keep:
-# winbindd_*, sshare_info*, printing*, ntdrivers*
-
-
-%PostUn -n swat
-#$no lsb: lisa --inetd disable swat $1
-test "$1" = "0" || exit 0
-%{SVIdir}/inet reload
-[ -x /usr/sbin/swat ]||perl -ni -e '/^swat\s*\:/||print' /etc/hosts.deny
-
-
-%Files -f files-samba-base
-%defattr(-,root,root)
-%config %attr(0755,root,root) %{SVIdir}/samba
-%config %attr(644,root,root) /etc/sysconfig/daemons/samba
-%config %attr(644,root,root) /etc/pam.d/samba
-%config %attr(644,root,root) /etc/logrotate.d/samba
-%config %attr(-,root,root) %{EtcSamba}
-%dir %attr(755,root,root) /var/lock/samba.d
-%dir %attr(755,root,root) /var/log/samba.d
-%dir %attr(1777,root,root) /var/spool/samba
-%dir %attr(755,root,root) %{LSBservedir}
-%dir %attr(755,root,root) %{LSBservedir}/netlogon
-%dir %attr(755,root,root) %{LSBservedir}/profiles
-%dir %attr(755,root,root) %{LSBservedir}/Public
-
-%Files doc -f files-samba-doc
-%defattr(-,root,root)
-
-%Files -n smbfs -f files-samba-smbfs
-%defattr(-,root,root)
-
-
-%Files -n swat -f files-samba-swat
-%defattr(-,root,root)
-%config %attr(644,root,root) %{NKinetdir}/swat
-
-%Files -n libsmbclient -f files-samba-libsmbclient
-%defattr(-,root,root)
-
-%ChangeLog
-* Mon Mar 11 2002 John H Terpstra <jht@samba.org>
-- Make this work
-
diff --git a/packaging/Caldera/OpenLinux/smb.conf b/packaging/Caldera/OpenLinux/smb.conf
deleted file mode 100644
index e62c7bf1e4..0000000000
--- a/packaging/Caldera/OpenLinux/smb.conf
+++ /dev/null
@@ -1,51 +0,0 @@
-# Samba config file created using SWAT
-# from localhost (127.0.0.1)
-
-# Global parameters
-[global]
- workgroup = MYGROUP
- server string = Samba Server on Caldera OpenLinux
- encrypt passwords = Yes
- username map = /etc/samba.d/smbusers
- password level = 8
- username level = 8
- log file = /var/log/samba.d/smb.%m
- max log size = 200
- socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
- logon path = \\%L\Profiles\%U
- dns proxy = No
- printing = cups
-
-[homes]
- comment = Home Directories
- path = %H/Samba
- username = %S
- valid users = %S
- writeable = Yes
- create mask = 0750
- only user = Yes
- browseable = No
-
-[netlogon]
- comment = Samba Network Logon Service
- path = @samba_home@/netlogon
- guest ok = Yes
- share modes = No
-
-[profiles]
- path = @samba_home@/profiles
- writeable = Yes
- guest ok = Yes
- browseable = No
-
-[printers]
- comment = All Printers
- path = /var/spool/samba
- create mask = 0700
- printable = Yes
- browseable = No
-
-[public]
- comment = Public Stuff
- path = @samba_home@/Public
- write list = @users
diff --git a/packaging/Caldera/OpenLinux/smb.conf.sample b/packaging/Caldera/OpenLinux/smb.conf.sample
deleted file mode 100644
index cec5a8a8b2..0000000000
--- a/packaging/Caldera/OpenLinux/smb.conf.sample
+++ /dev/null
@@ -1,315 +0,0 @@
-# This is the main Samba configuration file. You should read the
-# smb.conf(5) manual page in order to understand the options listed
-# here. Samba has a huge number of configurable options (perhaps too
-# many!) most of which are not shown in this example
-#
-# Any line which starts with a ; (semi-colon) or a # (hash)
-# is a comment and is ignored. In this example we will use a #
-# for commentry and a ; for parts of the config file that you
-# may wish to enable
-#
-# NOTE: Whenever you modify this file you should run the command "testparm"
-# to check that you have not many any basic syntactic errors.
-#
-#======================= Global Settings =====================================
-[global]
-
-# workgroup = NT-Domain-Name or Workgroup-Name
- workgroup = MYGROUP
-
-# server string is the equivalent of the NT Description field
- server string = Samba Server on Caldera OpenLinux
-
-# This option is important for security. It allows you to restrict
-# connections to machines which are on your local network. The
-# following example restricts access to two C class networks and
-# the "loopback" interface. For more examples of the syntax see
-# the smb.conf man page
-; hosts allow = 192.168.1. 192.168.2. 127.
-
-# If you want to automatically load your printer list rather
-# than setting them up individually then you'll need this
- load printers = yes
-
-# you may wish to override the location of the printcap file
-; printcap name = /etc/printcap
-
-# It should not be necessary to specify the print system type unless
-# it is non-standard. Currently supported print systems include:
-# bsd, sysv, plp, lprng, aix, hpux, qnx
- printing = cups
-
-# Uncomment this if you want a guest account, you must add this to /etc/passwd
-# otherwise the user "nobody" is used
-; guest account = pcguest
-
-# this tells Samba to use a separate log file for each machine
-# that connects
- log file = /var/log/samba.d/smb.%m
-
-# Put a capping on the size of the log files (in Kb).
- max log size = 200
-
-# Security mode. Most people will want user level security. See
-# security_level.txt for details.
- security = user
-# Use password server option only with security = server
-; password server = <NT-Server-Name>
-
-# Password Level allows matching of _n_ characters of the password for
-# all combinations of upper and lower case.
- password level = 8
- username level = 8
-
-# You may wish to use password encryption. Please read
-# ENCRYPTION.txt, Win95.txt and WinNT.txt in the Samba documentation.
-# Do not enable this option unless you have read those documents
- encrypt passwords = yes
- smb passwd file = /etc/samba.d/smbpasswd
-
-# The following are needed to allow password changing from Windows to
-# update the Linux sytsem password also.
-# NOTE: Use these with 'encrypt passwords' and 'smb passwd file' above.
-# NOTE2: You do NOT need these to allow workstations to change only
-# the encrypted SMB passwords. They allow the Unix password
-# to be kept in sync with the SMB password.
-; unix password sync = Yes
-; passwd program = /usr/bin/passwd %u
-; passwd chat = *New*UNIX*password* %n\n *ReType*new*UNIX*password* %n\n *passwd:*all*authentication*tokens*updated*successfully*
-
-# Unix users can map to different SMB User names
- username map = /etc/samba.d/smbusers
-
-# Using the following line enables you to customise your configuration
-# on a per machine basis. The %m gets replaced with the netbios name
-# of the machine that is connecting
-; include = /etc/samba.d/smb.conf.%m
-
-# Most people will find that this option gives better performance.
-# See speed.txt and the manual pages for details
- socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
-
-# Configure Samba to use multiple interfaces
-# If you have multiple network interfaces then you must list them
-# here. See the man page for details.
-; interfaces = 192.168.12.2/24 192.168.13.2/24
-
-# Configure remote browse list synchronisation here
-# request announcement to, or browse list sync from:
-# a specific host or from / to a whole subnet (see below)
-; remote browse sync = 192.168.3.25 192.168.5.255
-# Cause this host to announce itself to local subnets here
-; remote announce = 192.168.1.255 192.168.2.44
-
-# Browser Control Options:
-# set local master to no if you don't want Samba to become a master
-# browser on your network. Otherwise the normal election rules apply
-; local master = no
-
-# OS Level determines the precedence of this server in master browser
-# elections. The default value should be reasonable
- os level = 20
-
-# Domain Master specifies Samba to be the Domain Master Browser. This
-# allows Samba to collate browse lists between subnets. Don't use this
-# if you already have a Windows NT domain controller doing this job
-; domain master = yes
-
-# Preferred Master causes Samba to force a local browser election on startup
-# and gives it a slightly higher chance of winning the election
-; preferred master = yes
-
-# Use only if you have an NT server on your network that has been
-# configured at install time to be a primary domain controller.
-; domain controller = <NT-Domain-Controller-SMBName>
-
-# Enable this if you want Samba to be a domain logon server for
-# Windows95 workstations.
-; domain logons = yes
-
-# if you enable domain logons then you may want a per-machine or
-# per user logon script
-# run a specific logon batch file per workstation (machine)
-; logon script = %m.bat
-# run a specific logon batch file per username
-; logon script = %U.bat
-
-# Where to store roving profiles (only for Win95 and WinNT)
-# %L substitutes for this servers netbios name, %U is username
-# You must uncomment the [Profiles] share below
- logon path = \\%L\Profiles\%U
-
-# All NetBIOS names must be resolved to IP Addresses
-# 'Name Resolve Order' allows the named resolution mechanism to be specified
-# the default order is "host lmhosts wins bcast". "host" means use the unix
-# system gethostbyname() function call that will use either /etc/hosts OR
-# DNS or NIS depending on the settings of /etc/host.config, /etc/nsswitch.conf
-# and the /etc/resolv.conf file. "host" therefore is system configuration
-# dependant. This parameter is most often of use to prevent DNS lookups
-# in order to resolve NetBIOS names to IP Addresses. Use with care!
-# The example below excludes use of name resolution for machines that are NOT
-# on the local network segment
-# - OR - are not deliberately to be known via lmhosts or via WINS.
-; name resolve order = wins lmhosts bcast
-
-# Windows Internet Name Serving Support Section:
-# WINS Support - Tells the NMBD component of Samba to enable it's WINS Server
-; wins support = yes
-
-# WINS Server - Tells the NMBD components of Samba to be a WINS Client
-# Note: Samba can be either a WINS Server, or a WINS Client, but NOT both
-; wins server = w.x.y.z
-
-# WINS Proxy - Tells Samba to answer name resolution queries on
-# behalf of a non WINS capable client, for this to work there must be
-# at least one WINS Server on the network. The default is NO.
-; wins proxy = yes
-
-# DNS Proxy - tells Samba whether or not to try to resolve NetBIOS names
-# via DNS nslookups. The built-in default for versions 1.9.17 is yes,
-# this has been changed in version 1.9.18 to no.
- dns proxy = no
-
-# Case Preservation can be handy - system default is _no_
-# NOTE: These can be set on a per share basis
-; preserve case = no
-; short preserve case = no
-# Default case is normally upper case for all DOS files
-; default case = lower
-# Be very careful with case sensitivity - it can break things!
-; case sensitive = no
-
-#============================ Share Definitions ==============================
-[homes]
- comment = Home Directories
-; this gives access to a 'Public' sub-directory in each user's home...
-; (it is named 'public' as it is intended to be used by other sharing
-; technologies (like NetWare, appletalk) too and may get disclosed due
-; to weak protocols! -- hmm, are there less secure protocols than NFS? :)
- path = %H/Samba
- valid users = %S
- users = %S
- only user = yes
- browseable = no
- writable = yes
- create mask = 0750
-
-# Un-comment the following and create the netlogon directory for Domain Logons
-[netlogon]
- comment = Samba Network Logon Service
- path = @samba_home@/netlogon
- guest ok = yes
- writable = no
- share modes = no
-
-
-# Un-comment the following to provide a specific roving profile share
-# the default is to use the user's home directory
-[profiles]
- path = @samba_home@/profiles
- writeable = yes
- browseable = no
- guest ok = yes
-
-
-# NOTE: If you have a BSD-style print system there is no need to
-# specifically define each individual printer
-[printers]
- comment = All Printers
- path = /var/spool/samba
- browseable = no
-# Set public = yes to allow user 'guest account' to print
- guest ok = no
- writable = no
- printable = yes
- create mask = 0700
-
-# A publicly accessible directory, but read only, except for people in
-# the "users" group
-[public]
- comment = Public Stuff
- path = @samba_home@/public
- browseable = yes
- read only = yes
- public = no
- printable = no
-; writable = yes
-# access may be controlled by these options
-; read list = user1, user2, @group
-; valid users = user1, user3
-; write list = @users
-
-# Other examples.
-#
-# This one is useful for people to share files, BUT
-# access to '/tmp' or '/var/tmp' should *not* be given lightly,
-# as this can (still) pose a security threat!
-# Better use a dedicate sub-directory to /(var/)tmp or something
-# like a [public] share!
-[tmp]
- comment = Temporary file space
- path = /tmp
- browseable = yes
- read only = yes
- public = no
- printable = no
-
-# A private printer, usable only by fred. Spool data will be placed in fred's
-# home directory. Note that fred must have write access to the spool directory,
-# wherever it is.
-;[fredsprn]
-; comment = Fred's Printer
-; valid users = fred
-; path = /homes/fred
-; printer = freds_printer
-; public = no
-; writable = no
-; printable = yes
-
-# A private directory, usable only by fred. Note that fred requires write
-# access to the directory.
-;[fredsdir]
-; comment = Fred's Service
-; path = /usr/somewhere/private
-; valid users = fred
-; public = no
-; writable = yes
-; printable = no
-
-# a service which has a different directory for each machine that connects
-# this allows you to tailor configurations to incoming machines. You could
-# also use the %u option to tailor it by user name.
-# The %m gets replaced with the machine name that is connecting.
-;[pchome]
-; comment = PC Directories
-; path = /usr/pc/%m
-; public = no
-; writable = yes
-
-# A publicly accessible directory, read/write to all users. Note that all files
-# created in the directory by users will be owned by the default user, so
-# any user with access can delete any other user's files. Obviously this
-# directory must be writable by the default user. Another user could of course
-# be specified, in which case all files would be owned by that user instead.
-;[public]
-; path = /usr/somewhere/else/public
-; public = yes
-; only guest = yes
-; writable = yes
-; printable = no
-
-# The following two entries demonstrate how to share a directory so that two
-# users can place files there that will be owned by the specific users. In this
-# setup, the directory should be writable by both users and should have the
-# sticky bit set on it to prevent abuse. Obviously this could be extended to
-# as many users as required.
-;[myshare]
-; comment = Mary's and Fred's stuff
-; path = /usr/somewhere/shared
-; valid users = mary fred
-; public = no
-; writable = yes
-; printable = no
-; create mask = 0765
-
-
diff --git a/packaging/Caldera/OpenLinux/smbadduser.perl b/packaging/Caldera/OpenLinux/smbadduser.perl
deleted file mode 100755
index 61bec2320d..0000000000
--- a/packaging/Caldera/OpenLinux/smbadduser.perl
+++ /dev/null
@@ -1,146 +0,0 @@
-#!/usr/bin/perl -w
-#
-# smbadduser - Written by Mike Zakharoff
-# perl-rewrite by Raymund Will
-#
-
-$smbpasswd = "/etc/samba.d/smbpasswd";
-$user_map = "/etc/samba.d/smbusers";
-#
-# Set to site specific passwd command
-#
-$passwd = "cat /etc/passwd |";
-#$passwd = "niscat passwd.org_dir |";
-if ( -e "/var/run/ypbind.pid" ) {
- $passwd = "(cat /etc/passwd; ypcat passwd ) |";
-}
-
-$line = "-" x 58;
-if ($#ARGV < 0) {
- print <<EoM;
-$line
-Written: Mike Zakharoff email: michael.j.zakharoff\@boeing.com
-
- 1) Updates $smbpasswd
- 2) Updates $user_map
- 3) Executes smbpasswd for each new user
-
-smbadduser unixid[:ntid] unixid[:ntid] ...
-
-Example: smbadduser zak:zakharoffm jdoe johns:smithj
-$line
-EoM
- exit 1;
-}
-
-# get valid UNIX-Ids (later skip missing)
-%U = ();
-{
- my $X = "X" x 32;
- my @t = ();
-
- open( IN, $passwd) || die( "ERROR: open($passwd): $!\n");
- while ( <IN> ) {
- next unless (/^[A-Za-z0-9_]+:/);
- @t = split(/:/);
- $U{$t[0]} = join( ":", ($t[0], $t[2], $X, $X, $t[4], $t[5], $t[6]));
- }
- close( IN);
-}
-# get all smb passwords (later skip already existent)
-%S = ();
-$Cs = "";
-if ( -r $smbpasswd ) {
- open( IN, $smbpasswd) || die( "ERROR: open($smbpasswd): $!\n");
- while ( <IN> ) {
- if ( /^\#/ ) {
- $Cs .= $_; next;
- } elsif ( ! /^([A-Za-z0-9_]+):/ ) {
- chop; print STDERR "ERROR: $_: invalid smbpasswd entry!\n"; next;
- }
- $S{$1} = $_;
- }
- close( IN);
-}
-# get all map entries
-%M = ();
-$Cm = "";
-if ( -r $user_map ) {
- open( IN, $user_map) || die( "ERROR: open($user_map): $!\n");
- while ( <IN> ) {
- if ( /^\#/ ) {
- $Cm .= $_; next;
- } elsif ( ! /^([A-Za-z0-9_]+)\s*=\s*(\S.+\S)\s*/ ) {
- chop; print STDERR "ERROR: $_: invalid user-map entry!\n"; next;
- }
- $M{$1} = $2;
- }
- close( IN);
-}
-# check parameter syntax
-%N = ();
-{
- foreach ( @ARGV ) {
- my ( $u, $s, @R) = split(/:/);
- if ( $#R >= 0 ) {
- print STDERR "ERROR: $_: Must use unixid[:ntid] SKIPPING...\n";
- next;
- }
- $s = $u unless ( defined( $s) );
- if ( ! exists( $U{$u}) ) {
- print STDERR "ERROR: $u: Not in passwd database SKIPPING...\n";
- next;
- }
- if ( exists( $S{$u}) ) {
- print STDERR "ERROR: $u: Already in smbpasswd database SKIPPING...\n";
- next;
- }
- print "Adding: $u to $smbpasswd\n";
- $S{$u} = $U{$u};
- if ( $u ne $s ) {
- if ( exists( $M{$u}) ) {
- if ( $M{$u} !~ /\b$s\b/ ) {
- print "Adding: $s to $u in $user_map\n";
- $M{$u} .= " $s";
- }
- } else {
- print "Mapping: $s to $u in $user_map\n";
- $M{$u} = $s;
- }
- }
- $N{$u} = $s;
- }
-}
-# rewrite $smbpasswd
-{
- open( OUT, "> $smbpasswd.new") || die( "ERROR: open($smbpasswd.new): $!\n");
- $Cs = "#\n# SMB password file.\n#\n" unless ( $Cs );
- print OUT $Cs;
- foreach ( sort( keys( %S)) ) {
- print OUT $S{$_};
- }
- close( OUT);
- rename( $smbpasswd, $smbpasswd . "-");
- rename( $smbpasswd . ".new", $smbpasswd) || die;
-}
-# rewrite $user_map
-{
- open( OUT, "> $user_map.new") || die( "ERROR: open($user_map.new): $!\n");
- $Cm = "# Unix_name = SMB_name1 SMB_name2 ...\n" unless ( $Cm );
- print OUT $Cm;
- foreach ( sort( keys( %M)) ) {
- print OUT "$_ = $M{$_}\n";
- }
- close( OUT);
- rename( $user_map, $user_map . "-");
- rename( $user_map . ".new", $user_map) || die;
-}
-# call 'smbpasswd' for each new
-{
- foreach ( sort( keys( %N)) ) {
- print $line . "\n";
- print "ENTER password for $_\n";
- system( "smbpasswd $_");
- }
-}
-
diff --git a/packaging/Caldera/OpenLinux/smbprint b/packaging/Caldera/OpenLinux/smbprint
deleted file mode 100755
index 5d66aa1377..0000000000
--- a/packaging/Caldera/OpenLinux/smbprint
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/sh
-
-# This script is an input filter for printcap printing on a unix machine. It
-# uses the smbclient program to print the file to the specified smb-based
-# server and service.
-# For example you could have a printcap entry like this
-#
-# smb:lp=/dev/null:sd=/usr/spool/smb:sh:if=/usr/local/samba/smbprint
-#
-# which would create a unix printer called "smb" that will print via this
-# script. You will need to create the spool directory /usr/spool/smb with
-# appropriate permissions and ownerships for your system.
-
-# Set these to the server and service you wish to print to
-# In this example I have a WfWg PC called "lapland" that has a printer
-# exported called "printer" with no password.
-
-#
-# Script further altered by hamiltom@ecnz.co.nz (Michael Hamilton)
-# so that the server, service, and password can be read from
-# a /var/spool/lpd/PRINTNAME/.config file.
-#
-# In order for this to work the /etc/printcap entry must include an
-# accounting file (af=...):
-#
-# cdcolour:\
-# :cm=CD IBM Colorjet on 6th:\
-# :sd=/var/spool/lpd/cdcolour:\
-# :af=/var/spool/lpd/cdcolour/acct:\
-# :if=/usr/local/etc/smbprint:\
-# :mx=0:\
-# :lp=/dev/null:
-#
-# The /usr/var/spool/lpd/PRINTNAME/.config file should contain:
-# server=PC_SERVER
-# service=PR_SHARENAME
-# password="password"
-#
-# E.g.
-# server=PAULS_PC
-# service=CJET_371
-# password=""
-
-#
-# Debugging log file, change to /dev/null if you like.
-#
-# logfile=/tmp/smb-print.log
-logfile=/dev/null
-
-
-#
-# The last parameter to the filter is the accounting file name.
-# Extract the directory name from the file name.
-# Concat this with /.config to get the config file.
-#
-eval acct_file=\${$#}
-spool_dir=`dirname $acct_file`
-config_file=$spool_dir/.config
-
-# Should read the following variables set in the config file:
-# server
-# service
-# password
-eval `cat $config_file`
-
-#
-# Some debugging help, change the >> to > if you want to save space.
-#
-echo "server $server, service $service" >> $logfile
-
-(
-# NOTE You may wish to add the line `echo translate' if you want automatic
-# CR/LF translation when printing.
-# echo translate
- echo "print -"
- cat
-) | /usr/bin/smbclient "//$server/$service" $password -U $server -N -P >> $logfile 2>&1
diff --git a/packaging/Caldera/OpenLinux/smbusers b/packaging/Caldera/OpenLinux/smbusers
deleted file mode 100644
index ae3389f53f..0000000000
--- a/packaging/Caldera/OpenLinux/smbusers
+++ /dev/null
@@ -1,3 +0,0 @@
-# Unix_name = SMB_name1 SMB_name2 ...
-root = administrator admin
-nobody = guest pcguest smbguest
diff --git a/packaging/Caldera/OpenLinux/updatesmbpasswd.perl b/packaging/Caldera/OpenLinux/updatesmbpasswd.perl
deleted file mode 100755
index 60f572b490..0000000000
--- a/packaging/Caldera/OpenLinux/updatesmbpasswd.perl
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/usr/bin/perl -w
-while ( <> ) {
- print;
- @V = split(/:/);
- $_ = $V[3];
- if ( $V[0] !~ /^\#/ && !(/^[0-9A-F]{32}$/ || /^X{32}$/ || /^\*{32}$/) ) {
- $V[3] = "X" x 32;
- }
- print( join( ':', @V));
-}